Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
actions
/
actions
/
{id}
/
test
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Actions.Test(
        context.TODO(),
        "id",
        &management.TestActionRequestContent{
            Payload: map[string]interface{}{
                "key": "value",
            },
        },
    )
}
{
  "payload": {}
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

The id of the action to test.

Corps

payload
object
requis

The payload for the action.

Réponse

Test action version successfully created.

payload
object

The resulting payload after an action was executed.